## EEmoticonChooser EEmoticonChooser |

## Functions

EEmoticon * | e_emoticon_chooser_get_current_emoticon ()
void | e_emoticon_chooser_set_current_emoticon ()
void | e_emoticon_chooser_item_activated ()
GList * | e_emoticon_chooser_get_items ()
const EEmoticon * | e_emoticon_chooser_lookup_emoticon ()

## Properties

EEmoticon * | current-emoticon | Read / Write

## Signals

void | item-activated | Run Last

## Types and Values

struct | EEmoticonChooserInterface

## Object Hierarchy

        GInterface
        ╰── EEmoticonChooser

## Description

## Functions

### e_emoticon_chooser_get_current_emoticon ()

    EEmoticon *
    e_emoticon_chooser_get_current_emoticon
                                   (EEmoticonChooser *chooser);

### e_emoticon_chooser_set_current_emoticon ()

    void
    e_emoticon_chooser_set_current_emoticon
                                   (EEmoticonChooser *chooser,
                                    EEmoticon *emoticon);

### e_emoticon_chooser_item_activated ()

    void
    e_emoticon_chooser_item_activated (EEmoticonChooser *chooser);

### e_emoticon_chooser_get_items ()

    GList *
    e_emoticon_chooser_get_items (void);

### e_emoticon_chooser_lookup_emoticon ()

    const EEmoticon *
    e_emoticon_chooser_lookup_emoticon (const gchar *icon_name);

## Types and Values

### struct EEmoticonChooserInterface

    struct EEmoticonChooserInterface {
    	GTypeInterface parent_interface;

    	/* Methods */
    	EEmoticon * (*get_current_emoticon) (EEmoticonChooser *chooser);
    	void		(*set_current_emoticon) (EEmoticonChooser *chooser,
    						 EEmoticon *emoticon);

    	/* Signals */
    	void		(*item_activated) (EEmoticonChooser *chooser);
    };

## Property Details

### The `“current-emoticon”` property

      “current-emoticon”         EEmoticon *

Currently selected emoticon.

Flags: Read / Write

## Signal Details

### The `“item-activated”` signal

    void
    user_function (EEmoticonChooser *eemoticonchooser,
                   gpointer          user_data)

Flags: Run Last